#include <bits/stdc++.h>
using namespace std;
int main()
{
      ifstream f1("snton.inp");
      long int n;
      f1>>n;
      f1.close();
      int dem=0;
        for(int i=1;i<=n;i++)
        {
           if(n%i==0)dem++;
        }
      ofstream f2("snton.out");
      if(dem==2)f2<<"Yes";
      else f2<<"No";
      f2.close();
}
